Bug 427671 - Samba disallows shares under dirs with file_t selinux type
Samba disallows shares under dirs with file_t selinux type
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 10:52 EST by Alexey Torkhov
Modified: 2009-01-09 00:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2008-01-06 10:52:53 EST
Description of problem:
I've several filesystems. Directories on them are created with file_t by
default. I marked some subdir as samba_share_t and added as share to samba and
selinux is disallowing access to it.

Version-Release number of selected component (if applicable):
samba-3.0.28-0.fc8
selinux-policy-3.0.8-72.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Add share with parent dir marked file_t.
2. Mark shared dir as samba_share_t.

Actual results:
Selinux is preventing access:
avc: denied { search } for comm=smbd dev=sdb1 egid=99 euid=99 exe=/usr/sbin/smbd
exit=-13 fsgid=99 fsuid=99 gid=0 items=0 name=/ pid=12212
scontext=system_u:system_r:smbd_t:s0 sgid=0 subj=system_u:system_r:smbd_t:s0
suid=0 tclass=dir tcontext=system_u:object_r:file_t:s0 tty=(none) uid=99 

Expected results:
All is working.

Additional info:
Comment 1 Daniel Walsh 2008-01-08 12:18:20 EST
You need to label on the files/directories on the file system as samba_share_t

# semanage fcontext -a -t samba_share_t 'PATHTOPDIR(/.*)?'
# restorecon -R -v 'PATHTOPDIR(/.*)?'

This will add the labels and survive a full relabel.

You could also use the mount -o,context="system_u:object_r:samba_share_t:s0"

Comment 2 Alexey Torkhov 2008-01-08 12:49:04 EST
But it manual there is written:
> If you create a new directory you want to share you should mark it as
"samba-share_t" so that selinux will let you write into it.

It should than be changed to note that all parent directories that are marked
file_t should be relabeled to samba_share_t.

There is also typo "samba-share_t".
Comment 3 Alexey Torkhov 2008-01-08 12:50:36 EST
Quotation from smb.conf.
Comment 4 Bug Zapper 2008-11-26 04:18:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:42:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.